> For the complete documentation index, see [llms.txt](https://docs.wapim.io/_/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wapim.io/_/messages/send-messages/video-message.md).

# Video Message

## Send Video Message

<mark style="color:green;">`POST`</mark> `https://api.wapim.io/api/v1/whatsapp/message/video`

#### Headers

| Name                                    | Type | Description        |
| --------------------------------------- | ---- | ------------------ |
| Token<mark style="color:red;">\*</mark> |      | YOUR\_WAPIM\_TOKEN |

#### Request Body

| Name                                            | Type   | Description                        |
| ----------------------------------------------- | ------ | ---------------------------------- |
| phone\_number<mark style="color:red;">\*</mark> | String | Recipient Phone Number or Group ID |
| content<mark style="color:red;">\*</mark>       |        | Content URL                        |
| reply\_to                                       | String | Message ID To Reply                |
| caption                                         | String | Caption of content                 |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": true,
    "code": 200,
    "phone_number": "*****",
    "message_id": "3EB05F28F824A6F6D9E9",
    "req_id": "11b80f89-fff7-487c-b33f-047daff89af6"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    "status": false,
    "code": 400,
    "message": "Bad Request",
    "error": {
        "Send Video": [
            "Malformed or missing phone id or content data!"
        ]
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}

```bash
curl
    -X POST https://api.wapim.io/api/v1/whatsapp/message/video
    -H 'Token: YOUR_WAPIM_TOKEN'
    -d '{"phone_number": "PHONENUMBER_OR_GROUPID", "content": "https://filesamples.com/samples/video/mp4/sample_960x540.mp4", "caption": "this is a caption"}'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios
  .post(
    'https://api.wapim.io/api/v1/whatsapp/message/video',
    {
     phone_number: 'PHONENUMBER_OR_GROUPID',
     content: 'https://filesamples.com/samples/video/mp4/sample_960x540.mp4',
     caption: 'This is a caption'
    },
    {
     headers: {
      token: 'YOUR_WAPIM_TOKEN',
     }
    }
  )
  .then(response => console.log(response.data))
  .catch(error => console.log(error.response.data))
```

{% endtab %}
{% endtabs %}
